\section{Conclusions and future Work}
In this thesis we described what SSO's protocols goal are and why they are so important in the modern landscape of Information technology: they offer a simple solution to the wide variety of applications that need validated access to private resources. The growth in the recent years helped the adoption of these protocols, in both web services and mobile application, but they also lack the requirement on some of the security extensions/features that have been created to avoid the most common vulnerabilities.

Our goal was to create a solution to this problem, by developing a tool able to detect in an automated way if the best current practices are included in the implementation taken in consideration. We accomplished this by dividing our project in 3 phases: the first one was set to find the already available tools, the second one was aimed at finding the best current practice to know exactly what to work on the last phase, a the development of a Burp plugin.


\newpage